Customer API v1 (deprecated)
Whitelist an IP
Add an IP address to the whitelist for a given license and location.
POST
/
customer
/
v1
/
licenses
/
{license}
/
whitelist-ip
Whitelist an IP (v1)
curl --request POST \
--url https://orbitflare.com/api/customer/v1/licenses/{license}/whitelist-ip \
--header 'Content-Type: application/json' \
--header 'X-ORBIT-KEY: <api-key>' \
--data '
{
"ip_address": "127.0.0.1",
"location_id": 123,
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://orbitflare.com/api/customer/v1/licenses/{license}/whitelist-ip"
payload = {
"ip_address": "127.0.0.1",
"location_id": 123,
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-ORBIT-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-ORBIT-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_address: '127.0.0.1', location_id: 123, expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://orbitflare.com/api/customer/v1/licenses/{license}/whitelist-ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}Deprecated. This endpoint is part of Customer API v1. Use Customer API v2 instead.
Authorizations
API key for v1 and v2 (when not using Bearer token)
Path Parameters
The license identifier.
Body
application/json
IP address and location ID to whitelist.
Response
IP whitelisted successfully.
Was this page helpful?
Previous
Remove a Whitelisted IPRemove a previously whitelisted IP address from a given license and location.
Next
⌘I
Whitelist an IP (v1)
